zabbix_export:
  version: '7.0'
  host_groups:
    - uuid: b0296781662c4892815951e96b493989
      name: Hosts/Versoes
  hosts:
    - host: 'MONITORAMENTO DE VERSOES'
      name: 'MONITORAMENTO DE VERSOES'
      groups:
        - name: Hosts/Versoes
      items:
        - name: 'Pega Dados Gerais Zabbix'
          type: HTTP_AGENT
          key: dado.gerais.zabbix
          delay: 1h
          history: '0'
          value_type: TEXT
          url: 'https://services.zabbix.com/updates/v1'
          tags:
            - tag: Item
              value: Raw
        - name: 'Ultima Versão Stable do RouterOS v7'
          type: HTTP_AGENT
          key: pega.dados.gerais.routeros
          delay: 30m
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '<title>(RouterOS\s+7+\.\d+(?:\.\d+)?)'
                - \1
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          url: 'https://download.mikrotik.com/routeros/latest-stable.rss'
          triggers:
            - expression: 'change(/MONITORAMENTO DE VERSOES/pega.dados.gerais.routeros)=1'
              name: 'Houve uma atualização na versão do RouterOS v7'
              priority: INFO
        - name: 'Ultima Versão do Proxmox'
          type: HTTP_AGENT
          key: pega.dados.proxmox
          delay: 30m
          history: 1d
          value_type: TEXT
          preprocessing:
            - type: XMLPATH
              parameters:
                - '//item[1]/title'
            - type: REGEX
              parameters:
                - (\d+\.\d+)
                - \1
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 1h
          url: 'https://my.proxmox.com/en/announcements/tag/proxmox-ve/rss'
          triggers:
            - expression: 'change(/MONITORAMENTO DE VERSOES/pega.dados.proxmox)=1'
              name: 'Houve atualização no Proxmox VE'
      discovery_rules:
        - name: 'Descobre Versões Zabbix'
          type: DEPENDENT
          key: descoberta.versoes
          item_prototypes:
            - name: 'Ultima Release da Versão {#VERSAO}'
              type: DEPENDENT
              key: 'last.version.["{#VERSAO}"]'
              value_type: TEXT
              preprocessing:
                - type: JSONPATH
                  parameters:
                    - '$.versions[?(@.version == "{#VERSAO}" )]..release.first()'
              master_item:
                key: dado.gerais.zabbix
              tags:
                - tag: Versao
                  value: '{#VERSAO}'
              trigger_prototypes:
                - expression: 'change(/MONITORAMENTO DE VERSOES/last.version.["{#VERSAO}"])=1'
                  name: 'Houve atualização da versão {#VERSAO}'
                  priority: INFO
          master_item:
            key: dado.gerais.zabbix
          lld_macro_paths:
            - lld_macro: '{#VERSAO}'
              path: $.version
          preprocessing:
            - type: JSONPATH
              parameters:
                - '$.versions[*]'
